Bug 20399 - Remove "did you mean" for the staff interface
Summary: Remove "did you mean" for the staff interface
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Fridolin SOMERS
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 20396
  Show dependency treegraph
 
Reported: 2018-03-14 13:49 UTC by Gaetan Boisson
Modified: 2020-05-16 16:32 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 20399: Remove "did you mean" for the staff interface (1.62 KB, patch)
2020-03-20 15:02 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 20399: Remove "did you mean" for the staff interface (1.71 KB, patch)
2020-03-21 20:35 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 20399: Remove "did you mean" for the staff interface (4.93 KB, patch)
2020-03-24 13:19 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 20399: Remove "did you mean" for the staff interface (5.02 KB, patch)
2020-03-24 19:29 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 20399: Remove "did you mean" for the staff interface (5.08 KB, patch)
2020-03-25 20:37 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20399: (QA follow-up) Remove mention of INTRAdidyoumean from text and delete commented code (2.60 KB, patch)
2020-03-25 20:37 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Gaetan Boisson 2018-03-14 13:49:28 UTC
The amdin page for the "did you mean" feature has two block for setting it up in the staff interface, and a note saying this isn't implemented on the staff interface yet.

We should remove the part about the staff interface until it actually is implemented.
Comment 1 Elaine Bradtke 2018-04-23 18:30:46 UTC
Agreed
Comment 2 Fridolin SOMERS 2020-03-20 15:02:45 UTC
Created attachment 101208 [details] [review]
Bug 20399: Remove "did you mean" for the staff interface

The amdin page for the "did you mean" feature has two block for setting it up in the staff interface, and a note saying this isn't implemented on the staff interface yet.
We remove the part about the staff interface until it actually is implemented.

Test plan :
1) Apply patch
2) Go to Administration > Did you mean?
3) See there is only the OPAC block
Comment 3 Bernardo Gonzalez Kriegel 2020-03-21 20:35:42 UTC
Created attachment 101336 [details] [review]
Bug 20399: Remove "did you mean" for the staff interface

The amdin page for the "did you mean" feature has two block for setting it up in the staff interface, and a note saying this isn't implemented on the staff interface yet.
We remove the part about the staff interface until it actually is implemented.

Test plan :
1) Apply patch
2) Go to Administration > Did you mean?
3) See there is only the OPAC block

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Work as described, no errors.
Comment 4 Katrin Fischer 2020-03-22 13:53:15 UTC
I think there is a problem here with this minimalistic approach:

- Go to the did you mean admin page
- Make changes to sequence and check/uncheck something
- Save
- Check system preference / local use / INTRAdidyoumean, it will contain only ]
- Access the did you mean page again - BOOM

malformed JSON string, neither tag, array, object, number, string or atom, at character offset 0 (before "]") at /usr/share/perl5/JSON.pm line 171

I had a follow-up ready to remove the note form the intro text as well - it appears unnecessary.
Comment 5 Fridolin SOMERS 2020-03-23 12:33:33 UTC
(In reply to Katrin Fischer from comment #4)
> I think there is a problem here with this minimalistic approach:
> 
> - Go to the did you mean admin page
> - Make changes to sequence and check/uncheck something
> - Save
> - Check system preference / local use / INTRAdidyoumean, it will contain
> only ]
> - Access the did you mean page again - BOOM
> 
> malformed JSON string, neither tag, array, object, number, string or atom,
> at character offset 0 (before "]") at /usr/share/perl5/JSON.pm line 171
> 
> I had a follow-up ready to remove the note form the intro text as well - it
> appears unnecessary.

Do we remove INTRAdidyoumean syspref and related code ?
Comment 6 Katrin Fischer 2020-03-23 13:26:28 UTC
(In reply to Fridolin SOMERS from comment #5)
> (In reply to Katrin Fischer from comment #4)
> > I think there is a problem here with this minimalistic approach:
> > 
> > - Go to the did you mean admin page
> > - Make changes to sequence and check/uncheck something
> > - Save
> > - Check system preference / local use / INTRAdidyoumean, it will contain
> > only ]
> > - Access the did you mean page again - BOOM
> > 
> > malformed JSON string, neither tag, array, object, number, string or atom,
> > at character offset 0 (before "]") at /usr/share/perl5/JSON.pm line 171
> > 
> > I had a follow-up ready to remove the note form the intro text as well - it
> > appears unnecessary.
> 
> Do we remove INTRAdidyoumean syspref and related code ?

I guess we could - it's not been implemented in years and I suppose you can still easily add it back if you intend to develop it?
Comment 7 Fridolin SOMERS 2020-03-24 13:00:22 UTC
(In reply to Katrin Fischer from comment #6)
> (In reply to Fridolin SOMERS from comment #5)
> > 
> > Do we remove INTRAdidyoumean syspref and related code ?
> 
> I guess we could - it's not been implemented in years and I suppose you can
> still easily add it back if you intend to develop it?

Indeed, by looking at code for OPAC I'd say
Comment 8 Fridolin SOMERS 2020-03-24 13:19:29 UTC
Created attachment 101562 [details] [review]
Bug 20399: Remove "did you mean" for the staff interface

The amdin page for the "did you mean" feature has two block for setting it up in the staff interface, and a note saying this isn't implemented on the staff interface yet.
We remove the part about the staff interface until it actually is implemented.

Test plan :
1) Apply patch
2) Go to Administration > Did you mean?
3) See there is only the OPAC block
4) Change some checkboxes
5) Save configuration
6) Check that configuration is saved
Comment 9 Bernardo Gonzalez Kriegel 2020-03-24 19:29:20 UTC
Created attachment 101662 [details] [review]
Bug 20399: Remove "did you mean" for the staff interface

The amdin page for the "did you mean" feature has two block for setting it up in the staff interface, and a note saying this isn't implemented on the staff interface yet.
We remove the part about the staff interface until it actually is implemented.

Test plan :
1) Apply patch
2) Go to Administration > Did you mean?
3) See there is only the OPAC block
4) Change some checkboxes
5) Save configuration
6) Check that configuration is saved

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Save works, syspref removed.
Comment 10 Katrin Fischer 2020-03-25 20:37:12 UTC
Created attachment 101768 [details] [review]
Bug 20399: Remove "did you mean" for the staff interface

The amdin page for the "did you mean" feature has two block for setting it up in the staff interface, and a note saying this isn't implemented on the staff interface yet.
We remove the part about the staff interface until it actually is implemented.

Test plan :
1) Apply patch
2) Go to Administration > Did you mean?
3) See there is only the OPAC block
4) Change some checkboxes
5) Save configuration
6) Check that configuration is saved

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Save works, syspref removed.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Katrin Fischer 2020-03-25 20:37:16 UTC
Created attachment 101769 [details] [review]
Bug 20399: (QA follow-up) Remove mention of INTRAdidyoumean from text and delete commented code

Removes some last "remains" of INTRAdidyoumean.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Martin Renvoize 2020-03-26 12:04:03 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 13 Joy Nelson 2020-04-03 22:34:58 UTC
enhancement not backported to 19.11.x